/**
 * @file
 * JavaScript behaviors for element multiple.
 */

(function ($, Drupal, once) {
  /**
   * Move show weight to after the table.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.elementMultipleTableDrag = {
    attach(context, settings) {
      Object.keys(settings.tableDrag).forEach((base) => {
        $(
          once(
            'element-multiple-table-drag',
            $(context).find(`.js-form-type-element-multiple #${base}`),
          ),
        ).each(function () {
          const $tableDrag = $(this);
          const $toggleWeight = $tableDrag
            .prev()
            .prev('.tabledrag-toggle-weight-wrapper');
          if ($toggleWeight.length) {
            $toggleWeight.addClass('element-multiple-tabledrag-toggle-weight');
            $tableDrag.after($toggleWeight);
          }
        });
      });
    },
  };

  /**
   * Submit multiple add number input value when enter is pressed.
   *
   * @type {Drupal~behavior}
   */
  Drupal.behaviors.elementMultipleAdd = {
    attach(context, settings) {
      $(
        once(
          'element-multiple-add',
          $(context).find('.js-element-multiple-add'),
        ),
      ).each(function () {
        const $submit = $(this).find('input[type="submit"], button');
        const $number = $(this).find('input[type="number"]');
        $number.keyup(function (event) {
          if (event.which === 13) {
            // Note: Mousedown is the default trigger for Ajax events.
            // @see Drupal.Ajax.
            $submit.mousedown();
          }
        });
      });
    },
  };
})(jQuery, Drupal, once);
